RPI4 missing vulkan extension VK_EXT_scalar_block_layout

This is for ARMv8 based devices

RPI4 missing vulkan extension VK_EXT_scalar_block_layout

Postby Hantellope » Fri May 24, 2024 3:13 am

While I had finished compiling a game (it uses Vulkan), I've run it and then it gave me an error related to a missing vulkan extension.

The error snippet is shown below:
[code]
Missing required extension: VK_EXT_scalar_block_layout.
Unable to create device. Required extensions are missing.
[/code]

Just so you know I've installed these packages: [b]vulkan-broadcom[/b], [b]vulkan-icd-loader[/b], [b]vulkan-mesa-layers[/b], and [b]vulkan-tools[/b].

Running [i]vulkaninfo[/i] gives this:make_clickable_callback(MAGIC_URL_FULL, ' ', 'https://pastebin.com/p9daTsh7', '', ' class="postlink"')

Am I missing something here or does not the raspberry pi 4 support this extension?
Hantellope
 
Posts: 1
Joined: Fri May 24, 2024 2:47 am

Re: RPI4 missing vulkan extension VK_EXT_scalar_block_layout

Postby sehraf » Fri May 31, 2024 6:29 am

based onmake_clickable_callback(MAGIC_URL_FULL, ' ', 'https://mesamatrix.net/,', '', ' class="postlink"') VK_EXT_scalar_block_layout is not supported by v3dv (thats the vulkan driver for Broadcom GPUs)
sehraf
 
Posts: 73
Joined: Mon Feb 03, 2014 10:06 pm


Return to ARMv8 Devices

Who is online

Users browsing this forum: No registered users and 9 guests